# Google Data APIs Client Library (1.43.0)

## com.google.gdata.util
Class NoLongerAvailableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gdata.util.ServiceException
                  com.google.gdata.util.NoLongerAvailableException

All Implemented Interfaces:
  java.io.Serializable

    public class NoLongerAvailableException

extends ServiceException

Thrown by a service provider when the resource identified by the request is no longer available at the server and no forwarding address is known. This condition is expected to be considered permanent. Clients with link editing capabilities SHOULD delete references to the Request-URI after user approval.

See Also:
  Serialized Form

Constructor Summary
`NoLongerAvailableException()`
`NoLongerAvailableException(ErrorDomain.ErrorCode errorCode)`
`NoLongerAvailableException(ErrorDomain.ErrorCode errorCode, java.lang.Throwable cause)`
`NoLongerAvailableException(java.net.HttpURLConnection httpConn)`
`NoLongerAvailableException(java.lang.String message)`
`NoLongerAvailableException(java.lang.String message, java.lang.Throwable cause)`

Method Summary

Methods inherited from class com.google.gdata.util.ServiceException

`addSibling, getCodeName, getDebugInfo, getDomainName, getExtendedHelp, getHttpErrorCodeOverride, getHttpHeader, getHttpHeaders, getInternalReason, getLocation, getLocationType, getMessage, getOAuthProxyResponse, getResponseBody, getResponseContentType, getSendReport, getSiblings, hasOAuthProxyResponse, initCause, matches, matchesAny, setCode, setDebugInfo, setDomain, setExtendedHelp, setHeaderLocation, setHttpErrorCodeOverride, setInternalReason, setLocation, setResponse, setResponseBody, setResponseContentType, setSendReport, setXpathLocation, toString, toXmlErrorMessage, toXmlErrorMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoLongerAvailableException

    public NoLongerAvailableException()

### NoLongerAvailableException

    public NoLongerAvailableException(java.lang.String message)

### NoLongerAvailableException

    public NoLongerAvailableException(java.lang.String message,
                                      java.lang.Throwable cause)

### NoLongerAvailableException

    public NoLongerAvailableException(java.net.HttpURLConnection httpConn)
                               throws java.io.IOException

Throws:
  `java.io.IOException`

### NoLongerAvailableException

    public NoLongerAvailableException(ErrorDomain.ErrorCode errorCode)

### NoLongerAvailableException

    public NoLongerAvailableException(ErrorDomain.ErrorCode errorCode,
                                      java.lang.Throwable cause)